Package writer2latex.xhtml

# Class TableConverter

java.lang.Object
writer2latex.xhtml.TableConverter

public class TableConverter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Vector<String>`
`sheetNames`

## Constructor Summary

Constructors
Constructor
Description
`TableConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`

## Method Summary

Modifier and Type
Method
Description
`String`
`borderWidth(String sBorder)`
`void`
`convertTableContent(Element onode)`
Converts an office node as a complete table (spreadsheet) document
`void`
`handleTable(Node onode, Node hnode)`
Process a table:table tag

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sheetNames

protected Vector<String> sheetNames

## Constructor Details

### TableConverter

public TableConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)

## Method Details

### convertTableContent

public void convertTableContent(Element onode)
Converts an office node as a complete table (spreadsheet) document

Parameters:
  `onode` - the Office node containing the content to convert

### handleTable

public void handleTable(Node onode, Node hnode)
Process a table:table tag

Parameters:
  `onode` - the Office node containing the table element
  `hnode` - the XHTML node to which the table should be attached

### borderWidth

public String borderWidth(String sBorder)